org.apache.ignite.internal.processors.odbc.odbc.escape

## Enum OdbcEscapeType

- java.lang.Object
- - java.lang.Enum<OdbcEscapeType>
  - - org.apache.ignite.internal.processors.odbc.odbc.escape.OdbcEscapeType

All Implemented Interfaces:
  Serializable, Comparable<OdbcEscapeType>

    public enum OdbcEscapeType
    extends Enum<OdbcEscapeType>

ODBC escape sequence type.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CALL` Stored procedure call
`DATE` Date.
`ESCAPE` LIKE escape character clause.
`ESCAPE_WO_TOKEN` LIKE escape character clause.
`GUID` GUID.
`OUTER_JOIN` Outer join.
`SCALAR_FUNCTION` Scalar function.
`TIME` Time.
`TIMESTAMP` Timestamp.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `allowEmpty()`
`String` `body()`
`static OdbcEscapeType[]` `sortedValues()` Get values in convenient order, where the most frequent values goes first, and "startsWith" invocation is enough to get type (i.e.
`boolean` `standard()`
`static OdbcEscapeType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdbcEscapeType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SCALAR_FUNCTION

    public static final OdbcEscapeType SCALAR_FUNCTION

Scalar function.

#### OUTER_JOIN

    public static final OdbcEscapeType OUTER_JOIN

Outer join.

#### CALL

    public static final OdbcEscapeType CALL

Stored procedure call

#### DATE

    public static final OdbcEscapeType DATE

Date.

#### TIMESTAMP

    public static final OdbcEscapeType TIMESTAMP

Timestamp.

#### TIME

    public static final OdbcEscapeType TIME

Time.

#### GUID

    public static final OdbcEscapeType GUID

GUID.

#### ESCAPE_WO_TOKEN

    public static final OdbcEscapeType ESCAPE_WO_TOKEN

LIKE escape character clause.

#### ESCAPE

    public static final OdbcEscapeType ESCAPE

LIKE escape character clause.

### Method Detail

#### values

    public static OdbcEscapeType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OdbcEscapeType c : OdbcEscapeType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OdbcEscapeType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### sortedValues

    public static OdbcEscapeType[] sortedValues()

Get values in convenient order, where the most frequent values goes first, and "startsWith" invocation is enough to get type (i.e. "ts" goes before "t").

Returns:
  Values.

#### body

    public String body()

Returns:
  Escape sequence body.

#### standard

    public boolean standard()

Returns:
  Whether this is a standard token with no special handling.

#### allowEmpty

    public boolean allowEmpty()

Returns:
  Whether empty escape sequence is allowed.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018